function mn_colorring(vec,os)

% mn_colorring          - displays a vector as a ring of colored plates
%
% mn_colorring(vec,os)
%
% plot vector as color-plot in a ring (color_ring :-)
%
% vec:  vector w/ datas
% os:   radius of the ring, the width of the ring is fixed to 0.05
%       for best results use os=1
%       useing hold and different os you can draw more rings within one plot.
%
% Piotr Majdak (piotr@majdak.com)
% Markus Noisternig (markus@noisternig.com)
% 13.2.2002


theta = 0:1/length(vec):1;
theta = theta*2*pi;
X = (os:0.05:os+0.05)'*cos(theta);
Y = (os:0.05:os+0.05)'*sin(theta);
repl=repmat(vec,2,2);
pcolor(X,Y,repl(:,1:length(vec)+1));
shading interp
axis off
